import { WithServerSideProps } from '@payloadcms/ui/elements/WithServerSideProps';
import React from 'react';
export const RenderCustomComponent = (props)=>{
    const { CustomComponent, DefaultComponent, componentProps = {} } = props;
    if (CustomComponent) {
        return /*#__PURE__*/ React.createElement(WithServerSideProps, {
            Component: CustomComponent,
            payload: null,
            ...componentProps
        });
    }
    if (DefaultComponent) {
        return /*#__PURE__*/ React.createElement(WithServerSideProps, {
            Component: DefaultComponent,
            payload: null,
            ...componentProps
        });
    }
    return null;
};

//# sourceMappingURL=index.js.map